TemplateEngine (Groovy 2.4.15)
Date: 2018-03-23

groovy.text

## Class TemplateEngine

- java.lang.Object
- - groovy.text.TemplateEngine

- Direct Known Subclasses:
    GStringTemplateEngine, MarkupTemplateEngine, SimpleTemplateEngine, StreamingTemplateEngine, XmlTemplateEngine

      public abstract class TemplateEngine
      extends java.lang.Object

  Represents an API to any template engine which is basically a factory of Template instances from a given text input.
  Author:
    sam

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateEngine()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Template` | `createTemplate(java.io.File file)`
    `abstract Template` | `createTemplate(java.io.Reader reader)`
    `Template` | `createTemplate(java.lang.String templateText)`
    `Template` | `createTemplate(java.net.URL url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateEngine

          public TemplateEngine()

  - ### Method Detail

    - #### createTemplate

          public abstract Template createTemplate(java.io.Reader reader)
                                           throws CompilationFailedException,
                                                  java.lang.ClassNotFoundException,
                                                  java.io.IOException

      Throws:
        `CompilationFailedException`
        `java.lang.ClassNotFoundException`
        `java.io.IOException`

    - #### createTemplate

          public Template createTemplate(java.lang.String templateText)
                                  throws CompilationFailedException,
                                         java.lang.ClassNotFoundException,
                                         java.io.IOException

      Throws:
        `CompilationFailedException`
        `java.lang.ClassNotFoundException`
        `java.io.IOException`

    - #### createTemplate

          public Template createTemplate(java.io.File file)
                                  throws CompilationFailedException,
                                         java.lang.ClassNotFoundException,
                                         java.io.IOException

      Throws:
        `CompilationFailedException`
        `java.lang.ClassNotFoundException`
        `java.io.IOException`

    - #### createTemplate

          public Template createTemplate(java.net.URL url)
                                  throws CompilationFailedException,
                                         java.lang.ClassNotFoundException,
                                         java.io.IOException

      Throws:
        `CompilationFailedException`
        `java.lang.ClassNotFoundException`
        `java.io.IOException`